<wsdl:definitions
  targetNamespace="http://orchestra.ow2.org/loanApproval/approval"
  xmlns:tns="http://orchestra.ow2.org/loanApproval/approval"
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:common="http://orchestra.ow2.org/loanApproval/common"
  xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
  xmlns="http://schemas.xmlsoap.org/wsdl/">

  <wsdl:import location="../common.wsdl" namespace="http://orchestra.ow2.org/loanApproval/common"/>

  <plnk:partnerLinkType name="approvalLT">
    <plnk:role name="approver" portType="tns:approvalPT" />
  </plnk:partnerLinkType>

  <wsdl:portType name="approvalPT">
    <wsdl:operation name="approve">
      <wsdl:input message="common:creditInformationMessage" />
      <wsdl:output message="common:approvalMessage" />
    </wsdl:operation>
  </wsdl:portType>

  <binding name="approvalBinding" type="tns:approvalPT">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="approve">
      <soap:operation soapAction="http://orchestra.ow2.org/loanApproval/approval"/>
      <input>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/approval" />
      </input>
      <output>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/approval" />
      </output>
    </operation>
  </binding>

  <service name="approvalServiceBP">
    <port name="approvalPort" binding="tns:approvalBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/orchestra/approvalPort"/>
    </port>
  </service>

</wsdl:definitions>
